<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.discovery.aggregate-provider">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="providers"/>
        <elem name="addr-params" value="profile,host,subsystem,aggregate-provider"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.discovery"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.discovery.provider.$aggregate-provider"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.discovery.provider.$providers"/>
    </requires>
    <refs>
        <ref feature="subsystem.discovery"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="discovery"/>
        <param name="aggregate-provider" feature-id="true"/>
        <param name="providers" type="List&lt;String&gt;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>